# use with gnuplot
set nokey

#set label "8:1cd" at 0.95,0.6
#set label "7:1cd" at 1.03,0.6

set title "pseudo-Mars stable resonances with Venus (green), Earth (blue) and Jupiter (red)"
set xlabel "pseudo-Mars a (au)"
set ylabel "pseudo-Mars e"
set label "Mars" at 1.523623, 0.093410
set label "2/1" at  1.592, 0.6
set label "3/2" at  1.315, 0.6
set label "5/3" at  1.405, 0.6
set label "7/4" at  1.457, 0.6
set label "8/5" at  1.37, 0.6
set label "9/5" at  1.483, 0.6
set label "6/1" at  1.567, 0.6
set label "7/1" at  1.423, 0.6

set label "3/1"  at 1.5039, 0.04
set label "13/4" at 1.5863, 0.2
set label "13/7" at 1.512, 0.2
set label "15/8" at 1.5222, 0.2



p [1.40:1.65][0:0.72] "resonances.dat" u ($7-$8/2):($5== 1.000 ? $8>0.0001 ? $4 : 1/0 : 1/0) w l lw 2 lc 6, \
"resonances.dat" u ($7+$8/2):($5== 1.000 ? $8>0.0001 ? $4 : 1/0 : 1/0) w l lw 2 lc 6, \
"resonances.dat" u ($7-$8/2):($5== 0.72333 ? $8>0.0001 ? $4 : 1/0 : 1/0) w l lw 2 lc 2, \
"resonances.dat" u ($7+$8/2):($5== 0.72333 ? $8>0.0001 ? $4 : 1/0 : 1/0) w l lw 2 lc 2, \
"resonances.dat" u ($5-$6/2):($6>0.0001 ? $4 : 1/0) w l lw 2 lc 7, \
"resonances.dat" u ($5+$6/2):($6>0.0001 ? $4 : 1/0) w l lw 2 lc 7


pause -1

set terminal pngcairo size 1200,600 font "Arial, 10"
set output "pseudomars.png"
replot
